// $Id$
/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.descriptiveDataSet.matrix;

import org.eclipse.nebula.widgets.nattable.NatTable;
import org.eclipse.nebula.widgets.nattable.ui.menu.AbstractHeaderMenuConfiguration;
import org.eclipse.nebula.widgets.nattable.ui.menu.PopupMenuBuilder;

/**
 * @author pplitzner
 * @date 09.07.2018
 *
 */
final class CharacterMatrixHeaderMenuConfiguration extends AbstractHeaderMenuConfiguration {

    public CharacterMatrixHeaderMenuConfiguration(NatTable natTable) {
        super(natTable);
    }

    @Override
    protected PopupMenuBuilder createColumnHeaderMenu(NatTable natTable) {
        return super.createColumnHeaderMenu(natTable)
                .withHideColumnMenuItem()
                .withShowAllColumnsMenuItem();
    }
}
