/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.descriptiveDataSet.matrix.handler;

import eu.etaxonomy.cdm.model.common.MarkerType;

/**
 * @author pplitzner
 * @since Sep 7, 2018
 *
 */
public class CreateLiteratureTaxonDescriptionHandler extends CreateTaxonDescriptionHandler{

    @Override
    protected boolean getMarkerFlag() {
        return true;
    }

    @Override
    protected MarkerType getMarkerType() {
        return MarkerType.IN_BIBLIOGRAPHY();
    }
}
