/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.e4;

import eu.etaxonomy.cdm.persistence.hibernate.CdmDataChangeMap;
import eu.etaxonomy.taxeditor.model.AbstractDataChangeBehaviour;

/**
 *
 * @author pplitzner
 * @date Aug 24, 2017
 *
 */
public class TaxonEditorInputDataChangeBehaviourE4 extends
		AbstractDataChangeBehaviour {

	private TaxonEditorInputE4 source;

	public TaxonEditorInputDataChangeBehaviourE4(TaxonEditorInputE4 taxonEditorInput) {
		source = taxonEditorInput;
	}

	/** {@inheritDoc} */
	@Override
	public void reactOnDataChange(CdmDataChangeMap events) {
		source.update(events);

	}
}
