/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor.handler.create;

import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.taxeditor.newWizard.NewNonViralNameWizard;

/**
 *
 * @author pplitzner
 * @date 10.10.2017
 *
 */
public class NewNameHandler {

    @Execute
    public void execute(@Named(IServiceConstants.ACTIVE_SHELL)Shell shell) {
		NewNonViralNameWizard wizard = new NewNonViralNameWizard();
		wizard.init(null, null);
		WizardDialog dialog = new WizardDialog(shell, wizard);
		dialog.open();

	}
}
