/**
 *
 */
package eu.etaxonomy.taxeditor.editor.name.e4;

import org.eclipse.e4.core.contexts.IEclipseContext;
import org.eclipse.swt.widgets.Composite;

import eu.etaxonomy.taxeditor.operation.IPostOperationEnabled;

/**
 *
 * @author pplitzner
 * @date Aug 24, 2017
 *
 */
public interface IDropTargetableE4 extends IPostOperationEnabled {

	public Composite getControl();

	public TaxonNameEditorE4 getEditor();

	public void dragEntered();

	public void dragLeft();

	public IEclipseContext getContext();
}
