/**
 *
 */
package eu.etaxonomy.taxeditor.editor.name.e4.dnd;

import org.eclipse.swt.dnd.DropTargetEffect;
import org.eclipse.swt.dnd.DropTargetEvent;
import org.eclipse.swt.widgets.Control;

import eu.etaxonomy.taxeditor.editor.EditorUtil;
import eu.etaxonomy.taxeditor.editor.name.e4.IDropTargetableE4;
import eu.etaxonomy.taxeditor.preference.Resources;

/**
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class NameEditorDropTargetEffect extends DropTargetEffect {

	public NameEditorDropTargetEffect(Control control) {
		super(control);
	}

	/** {@inheritDoc} */
	@Override
    public void dragEnter(DropTargetEvent dropTargetEvent) {
		if(dropTargetEvent.widget instanceof IDropTargetableE4){
			((IDropTargetableE4) dropTargetEvent.widget).dragEntered();
		}
	}

	/** {@inheritDoc} */
	@Override
    public void dragLeave(DropTargetEvent dropTargetEvent) {
		if(dropTargetEvent.widget instanceof Control){
			((Control) dropTargetEvent.widget).setBackground(EditorUtil.getColor(Resources.COLOR_COMPOSITE_BACKGROUND));
		}
	}
}
