
package eu.etaxonomy.taxeditor.editor.view.charactermatrix.handler;

import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.nebula.widgets.nattable.NatTable;
import org.eclipse.nebula.widgets.nattable.export.command.ExportCommand;
import org.eclipse.swt.widgets.Shell;

import eu.etaxonomy.taxeditor.editor.descriptiveDataSet.matrix.CharacterMatrixPart;

public class ExportCharacterMatrixHandler {

	@Execute
	public void execute(@Named(IServiceConstants.ACTIVE_PART)MPart activePart,
	        @Named(IServiceConstants.ACTIVE_SHELL)Shell shell) {
	    CharacterMatrixPart characterMatrix = (CharacterMatrixPart) activePart.getObject();
	    NatTable natTable = characterMatrix.getNatTable();
	    natTable.doCommand(new ExportCommand(natTable.getConfigRegistry(), shell));
	}

}