/**
* Copyright (C) 2018 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.view.checklist.e4;

import org.eclipse.nebula.widgets.nattable.NatTable;
import org.eclipse.nebula.widgets.nattable.ui.menu.AbstractHeaderMenuConfiguration;
import org.eclipse.nebula.widgets.nattable.ui.menu.PopupMenuBuilder;

/**
 * @author kluther
 * @date 28.11.2018
 *
 */
final class DistributionEditorHeaderMenuConfiguration extends AbstractHeaderMenuConfiguration {

    /**
     * @param natTable
     */
    public DistributionEditorHeaderMenuConfiguration(NatTable natTable) {
        super(natTable);

    }


    @Override
    protected PopupMenuBuilder createColumnHeaderMenu(NatTable natTable) {
        return super.createColumnHeaderMenu(natTable)
                .withHideColumnMenuItem()
                .withShowAllColumnsMenuItem();
    }
}
