/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.view.descriptive.e4.handler;

import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.services.IServiceConstants;

import eu.etaxonomy.taxeditor.editor.view.descriptive.e4.FactualDataPartE4;

/**
 *
 * @author pplitzner
 * @date 15.08.2017
 *
 */
public class ToggleShowOnlyIndividualAssociationsHandlerE4  {

    @Execute
    public void execute(@Named(IServiceConstants.ACTIVE_PART) MPart activePart) {
        FactualDataPartE4 factualDataPart = (FactualDataPartE4) activePart.getObject();
        factualDataPart.toggleShowOnlyIndividualAssociations();
    }

}
