
package eu.etaxonomy.taxeditor.editor.descriptiveDataSet.handler;

import javax.inject.Named;

import org.eclipse.e4.core.di.annotations.CanExecute;
import org.eclipse.e4.core.di.annotations.Execute;
import org.eclipse.e4.ui.model.application.ui.basic.MPart;
import org.eclipse.e4.ui.model.application.ui.menu.MMenuItem;
import org.eclipse.e4.ui.services.IServiceConstants;
import org.eclipse.jface.viewers.IStructuredSelection;

import eu.etaxonomy.taxeditor.editor.descriptiveDataSet.DescriptiveDataSetEditor;

public class DescriptiveDataSetRemoveTaxonHandler {
	@Execute
	public void execute(@Named(IServiceConstants.ACTIVE_PART)MPart activePart) {
	    DescriptiveDataSetEditor editor = (DescriptiveDataSetEditor) activePart.getObject();
	    editor.removeSelectedTaxonNodes();
	}


	@CanExecute
	public boolean canExecute(@Named(IServiceConstants.ACTIVE_SELECTION)IStructuredSelection selection,
	        @Named(IServiceConstants.ACTIVE_PART)MPart activePart,
	        MMenuItem menuItem) {
	    boolean canExecute = false;
	    canExecute = !selection.isEmpty() && activePart.getObject() instanceof DescriptiveDataSetEditor;
		menuItem.setVisible(canExecute);
		return canExecute;
	}

}